PASS result callback (server-to-server)
POST
/v1/auth/pass/callback
const url = 'https://api.parasta.io/v1/auth/pass/callback';const options = { method: 'POST', headers: {'X-Api-Key': '<X-Api-Key>', 'Content-Type': 'application/json'}, body: '{"passRequestId":"example","success":true,"ci":"example","di":"example","name":"example","birthDate":"example","gender":"M","nationality":"example","phone":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/auth/pass/callback \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <X-Api-Key>' \ --data '{ "passRequestId": "example", "success": true, "ci": "example", "di": "example", "name": "example", "birthDate": "example", "gender": "M", "nationality": "example", "phone": "example" }'Asynchronous callback from PASS service to server. Not called directly by clients.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
passRequestId
required
string
success
required
boolean
ci
string
di
string
name
string
birthDate
string
gender
string
nationality
string
phone
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
received
boolean
Example generated
{ "received": true}